package nckd.jxccl.base.common.enums;

/**
* 【优秀生】-评分人员角色枚举
* @author W.Y.C
* @date 2025/7/14 14:25
* @version 1.0
*/
public enum PerfPlanRoleEnum {

    /** 领导 */
    LEAD("1", "领导"),
    /** 上级 */
    SUPERIOR("2", "上级"),
    /** 同级 */
    PEERS("3", "同级"),
    /** 同级其他部门人员 */
    OTHER_PEERS("3", "同级其他部门人员");

    private final String code;
    private final String name;

    PerfPlanRoleEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
